Package pygeodesy :: Module geodesicw :: Class Geodesic |
[frames] | no frames]

# Class Geodesic

          object --+
                   |
    karney._kWrapped --+
                       |
               _gWrapped --+
                           |
                          Geodesic

Wrapper around Karney's class geographiclib.geodesic.Geodesic.

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
a new object with type S, a subtype of T |
__new__(unused, a_ellipsoid=Ellipsoid(name='WGS84', a=6378137, f=0.00335281, f_=298.257223`...`, f=None, **name) Return a wrapped `geodesic.Geodesic` instance from Karney's Python geographiclib, provide the latter is installed, otherwise an `ImportError`. |

Properties
Inherited from `_gWrapped`: `Geodesic`, `GeodesicLine`, `Geodesic_WGS84` Inherited from `karney._kWrapped`: `Math`, `Math_K_2`, `geographiclib` Inherited from `object`: `__class__`

Method Details

### __new__ (unused, a_ellipsoid=Ellipsoid(name='WGS84', a=6378137, f=0.00335281, f_=298.257223`...`, f=None, **name) Static Method |
Return a wrapped `geodesic.Geodesic` instance from Karney's Python geographiclib, provide the latter is installed, otherwise an `ImportError`. Arguments: `a_ellipsoid` - An ellipsoid (Ellipsoid) or datum (Datum) or the equatorial radius a of the ellipsoid (`meter`). `f` - The flattening of the ellipsoid (`scalar`), required if `a_ellipsoid`) is `meter`, ignored otherwise. `name` - Optional `name=NN` (`str`). Returns: a new object with type S, a subtype of T Overrides: object.__new__